cURL
curl --request PUT \ --url https://api-{region}.sesametime.com/contract/v1/salaries/{salaryId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "endDate": "2023-12-25", "comments": "<string>" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "payPeriod": "daily", "currency": "EUR", "grossSalary": 35000, "payments": 12, "contributionGroup": "Oficiales administrativos", "startDate": "2023-12-25", "endDate": "2023-12-25", "comments": "<string>", "prorated": false, "monthlyGrossSalary": 2917, "remuneration": 2916.67, "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00" }, "meta": { "currentPage": 1, "lastPage": 1, "total": 1, "perPage": 1 } }
API token obtained from Sesame HR Dashboard > Settings > Integrations > API
Salary ID
Salary object that needs to be updated
End date of salary
Comments
Show child attributes
Suggestions